#2722 closed enhancement (fixed)

SEM_VALUE_MAX is unusually small on RTEMS

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: tool/newlib Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

RTEMS defines SEM_VALUE_MAX to 32767 in Newlib

newlib/libc/sys/rtems/include/limits.h

Other systems use INT_MAX or 2147483647.

Change History (4)

comment:1 Changed on Dec 21, 2016 at 6:44:33 AM by Sebastian Huber

Component: Generaltools
Resolution: fixed
Status: newclosed
Type: defectenhancement

comment:2 Changed on Dec 21, 2016 at 6:45:03 AM by Sebastian Huber

Component: toolsNewlib

comment:3 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.